version: '3.5'
services:
  cadvisor:
    restart: always
    privileged: true
    volumes:
      - '/cgroup:/cgroup:ro'
      - '/:/rootfs:ro'
      - '/var/run:/var/run:rw'
      - '/sys:/sys:ro'
      - '/var/lib/docker/:/var/lib/docker:ro'
    ports:
      - '18080:8080'
    container_name: cadvisor
    image: 'gcr.io/google-containers/cadvisor:latest'
